'Copyright (c) 2016-2019, Andrew Pamment
'All rights reserved.
'
'Redistribution and use in source and binary forms, with or without
'modification, are permitted provided that the following conditions are met:
'
'1. Redistributions of source code must retain the above copyright notice, this
'   list of conditions and the following disclaimer.
'2. Redistributions in binary form must reproduce the above copyright notice,
'   this list of conditions and the following disclaimer in the documentation
'   and/or other materials provided with the distribution.
'
'THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
'ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
'WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
'DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
'ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
'(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
'LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
'ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
'(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
'SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#inclib "doordk"

Declare Function DoorKitInit(ByVal dropFile As String) As Integer
Declare Function DoorKitGetUserAlias() As String
Declare Function DoorKitGetFirstName() As String
Declare Function DoorKitGetLastName() As String
Declare Function DoorKitSendFile(ByVal fileName As String) As Integer
Declare Function DoorKitPrint(ByVal s as String) As Integer
Declare Function DoorKitPrintLn(ByVal s as String) as Integer
Declare Function DoorKitClearScreen() as Integer
Declare Function DoorKitGetLine(ByVal length as Integer) as String
Declare Function DoorKitGetLocation() As String
Declare Function DoorKitGetSysopName() As String
Declare Function DoorKitGetNode() As Integer
Declare Function DoorKitGetSecLevel() As Integer
Declare Function DoorKitGetSecondsLeft() As Integer
Declare Function DoorKitGotoXY(ByVal x as integer, ByVal y as Integer) as Integer
Declare Function DoorKitExit() As Integer
Declare Function DoorKitGetKey() As String
